<html>
    <head>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" />
        <meta charset="UTF-8" />
        <style>
            body {
                background-color: black;
                overflow: hidden;
                width: 100vw;
                height: 100vh;
            }
            body > .row {
                max-height: 50vh;
            }
            body > .row > .col {
                max-height: 50vh;
            }
            body > .row > .col > img {
                width: 100%;
                height: 100%;
                object-fit: contain;
            }
        </style>
    </head>

    <body>
        <div class="row no-gutters">
            <div class="col col-6 justify-content-center py-2">
                <img src="https://vistar-capture.s3.cern.ch/lhc1.png" alt="">
            </div>
            <div class="col col-6 justify-content-center py-2">
                <img src="https://vistar-capture.s3.cern.ch/cps.png" alt="">
            </div>
        </div>
        <div class="row no-gutters">
            <div class="col col-6 justify-content-center py-2">
                <img src="https://vistar-capture.s3.cern.ch/sps1.png" alt="">
            </div>
            <div id="piquet-info" class="col-6 d-flex justify-content-center"></div>
        </div>
    </body>
</html>

<script>
    const REFRESH_DELAY = 1000;
    const PIQUET_INFO_REFRESH_DELAY = 60000;

    window.addEventListener('DOMContentLoaded', (event) => {

        // Extract images and store their initial sources
        const images = [...document.getElementsByTagName('img')].map(e => [e, e.src]);

        // Refresh images for a given delay REFRESH_DELAY
        const interval_handler = setInterval(() => {
            for (let [ image, src ] of images) {
                image.src = `${src}?t=${Date.now()}` // bypass cache to reload images
            }
        }, REFRESH_DELAY)

        function loadPiquetInfo(info) {
            document.getElementById('piquet-info').innerHTML = `
                <div class="card bg-dark text-light m-auto" style="min-width: 30rem;">
                    <div class="card-header"><h1>On Duty</h2></div>
                    <ul class="list-group">
                        <li class="list-group-item bg-secondary">
                            <h2>${info?.on_duty?.name ?? '?'}</h2>
                            <h4><i class="fa-solid fa-mobile-screen mr-2"></i>${info?.on_duty?.gsm ?? '?'}</h4>
                            <h4><i class="fa-solid fa-phone mr-2"></i>${info?.on_duty?.fixed ?? '?'}</h4>
                        </li>
                        <div class="card-footer">
                            <h4>Next: ${info?.next?.name ?? '?'}</h4>
                        </div>
                    </ul>
                </div>
            `;
        }
        function updatePiquetInfo() {
            fetch("https://mro-dev.web.cern.ch/phone-redirector")
            .then((ret) => ret.json())
            .then((ret) => loadPiquetInfo(ret))
            .catch((err) => console.log('phone-redirector fetch failed: ', err))
            .then(() => setTimeout(updatePiquetInfo, PIQUET_INFO_REFRESH_DELAY));
        }
        updatePiquetInfo();
        // loadPiquetInfo({"on_duty": {"name": "Jerome Lendaro", "gsm": 163942, "fixed": 70944, "from": "2022-09-16 16:00:00", "to": "2022-09-23 16:00:00"}, "next": {"name": "Mathieu Donze", "gsm": 165352, "fixed": 73011, "from": "2022-09-23 16:00:00", "to": "2022-09-30 16:00:00"}})
    });
</script>
